#ifndef CONFIG_HPP
#define CONFIG_HPP

/*===== Platform selection =====*/
// platform list:
// ESP8266, ESP32, NO_WIFI
#ifndef PLATFORM
    #define PLATFORM ESP8266
#endif


// DO NOT EDIT THIS !!
#if PLATFORM != NO_WIFI
    #define WIRELESS_SUPPORT
#endif


/*===== Serial Debug =====*/
//#define SERIAL_DEBUG


/*===== Pin =====*/
#define HEAT_GUN_FAN_PIN 1
#define HEATER1_PIN 1
#define HEATER2_PIN 1
#define CONNECTION_LED_PIN 1
#define HEATER1_LED_PIN 1
#define HEATER2_LED_PIN 1
#define HEATER1_THERMISTOR_PIN A0
#define HEATER2_THERMISTOR_PIN A0



/*===== Wireless config =====*/
#ifdef WIRELESS_SUPPORT
    /*[AP]*/
    #define AP_SSID "test"
    #define AP_PASSWD "sonofussr"
    #define AP_CHANNEL 1
    #define AP_MAX_CLIENT 4
#endif



/*===== Heat Config =====*/
/*[const]*/
#define HEAT_OFF -300

/*[heat]*/
#define MAX_TEMP 350

#endif